Class UmlBaseDeployment

Manage the deployments

Declaration :

- C++ : class UmlBaseDeployment : public UmlItem
- Java : abstract class UmlBaseDeployment extends UmlItem

Artifact : UmlBaseDeployment

Operation UmlBaseDeployment

Declaration :

- Uml : # UmlBaseDeployment(in id : item_id, in n : string) :
- C++ : protected: UmlBaseDeployment(void * id, QCString n) : UmlItem(id, n)
- Java : protected UmlBaseDeployment(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload